
From: Pekka Enberg <penberg@cs.helsinki.fi>

This patch converts kcalloc(1, ...) calls to use the new kzalloc() function.

Signed-off-by: Pekka Enberg <penberg@cs.helsinki.fi>
Cc: "Luck, Tony" <tony.luck@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/sn/kernel/io_init.c     |    2 +-
 arch/ia64/sn/kernel/tiocx.c       |    2 +-
 arch/ia64/sn/pci/tioca_provider.c |    8 ++++----
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -puN arch/ia64/sn/kernel/io_init.c~ia64-convert-kcalloc-to-kzalloc arch/ia64/sn/kernel/io_init.c
--- devel/arch/ia64/sn/kernel/io_init.c~ia64-convert-kcalloc-to-kzalloc	2005-08-06 14:35:08.000000000 -0700
+++ devel-akpm/arch/ia64/sn/kernel/io_init.c	2005-08-06 14:35:08.000000000 -0700
@@ -408,7 +408,7 @@ void sn_bus_store_sysdata(struct pci_dev
 {
 	struct sysdata_el *element;
 
-	element = kcalloc(1, sizeof(struct sysdata_el), GFP_KERNEL);
+	element = kzalloc(sizeof(struct sysdata_el), GFP_KERNEL);
 	if (!element) {
 		dev_dbg(dev, "%s: out of memory!\n", __FUNCTION__);
 		return;
diff -puN arch/ia64/sn/kernel/tiocx.c~ia64-convert-kcalloc-to-kzalloc arch/ia64/sn/kernel/tiocx.c
--- devel/arch/ia64/sn/kernel/tiocx.c~ia64-convert-kcalloc-to-kzalloc	2005-08-06 14:35:08.000000000 -0700
+++ devel-akpm/arch/ia64/sn/kernel/tiocx.c	2005-08-06 14:35:08.000000000 -0700
@@ -191,7 +191,7 @@ cx_device_register(nasid_t nasid, int pa
 {
 	struct cx_dev *cx_dev;
 
-	cx_dev = kcalloc(1, sizeof(struct cx_dev), GFP_KERNEL);
+	cx_dev = kzalloc(sizeof(struct cx_dev), GFP_KERNEL);
 	DBG("cx_dev= 0x%p\n", cx_dev);
 	if (cx_dev == NULL)
 		return -ENOMEM;
diff -puN arch/ia64/sn/pci/tioca_provider.c~ia64-convert-kcalloc-to-kzalloc arch/ia64/sn/pci/tioca_provider.c
--- devel/arch/ia64/sn/pci/tioca_provider.c~ia64-convert-kcalloc-to-kzalloc	2005-08-06 14:35:08.000000000 -0700
+++ devel-akpm/arch/ia64/sn/pci/tioca_provider.c	2005-08-06 14:35:08.000000000 -0700
@@ -148,7 +148,7 @@ tioca_gart_init(struct tioca_kernel *tio
 	tioca_kern->ca_pcigart_entries =
 	    tioca_kern->ca_pciap_size / tioca_kern->ca_ap_pagesize;
 	tioca_kern->ca_pcigart_pagemap =
-	    kcalloc(1, tioca_kern->ca_pcigart_entries / 8, GFP_KERNEL);
+	    kzalloc(tioca_kern->ca_pcigart_entries / 8, GFP_KERNEL);
 	if (!tioca_kern->ca_pcigart_pagemap) {
 		free_pages((unsigned long)tioca_kern->ca_gart,
 			   get_order(tioca_kern->ca_gart_size));
@@ -392,7 +392,7 @@ tioca_dma_mapped(struct pci_dev *pdev, u
 	 * allocate a map struct
 	 */
 
-	ca_dmamap = kcalloc(1, sizeof(struct tioca_dmamap), GFP_ATOMIC);
+	ca_dmamap = kzalloc(sizeof(struct tioca_dmamap), GFP_ATOMIC);
 	if (!ca_dmamap)
 		goto map_return;
 
@@ -600,7 +600,7 @@ tioca_bus_fixup(struct pcibus_bussoft *p
 	 * Allocate kernel bus soft and copy from prom.
 	 */
 
-	tioca_common = kcalloc(1, sizeof(struct tioca_common), GFP_KERNEL);
+	tioca_common = kzalloc(sizeof(struct tioca_common), GFP_KERNEL);
 	if (!tioca_common)
 		return NULL;
 
@@ -609,7 +609,7 @@ tioca_bus_fixup(struct pcibus_bussoft *p
 
 	/* init kernel-private area */
 
-	tioca_kern = kcalloc(1, sizeof(struct tioca_kernel), GFP_KERNEL);
+	tioca_kern = kzalloc(sizeof(struct tioca_kernel), GFP_KERNEL);
 	if (!tioca_kern) {
 		kfree(tioca_common);
 		return NULL;
_
